DEBUGREISERFS(8)

NUME
debugreiserfs - instrument de depanare pentru sistemul de fișiere ReiserFS.

REZUMAT
debugreiserfs [ -dDJmoqpuSV ] [ -j dispozitiv ] [ -B fișier ] [ -1 N ]

dispozitiv

DESCRIERE
debugreiserfs ajută uneori la rezolvarea problemelor cu sistemele de fișiere reiserfs. Atunci când este rulat fără opțiuni, imprimă superblocul sistemului de fișiere ReiserFS găsit pe dispozitiv.

dispozitiv
    este fișierul special care corespunde dispozitivului (de exemplu, /dev/hdXX pentru o partiție de disc IDE sau /dev/sdXX pentru o partiție de disc SCSI).

OPȚIUNI

-j dispozitiv
    afișează conținutul jurnalului. Opțiunea „-p” permite împachetarea jurnalului cu alte metadate în arhivă.

-J  afișează antetul jurnalului.

-d  afișează nodurile formatate ale arborelui intern al sistemului de fișiere.

-D  afișează nodurile formatate ale tuturor blocurilor utilizate din sistemul de fișiere.

-m  afișează conținutul hărții de biți (puțin util).

-o  afișează harta identificatorilor de obiecte (puțin utilă).

-B fișier
    preia lista de blocuri defecte stocate în arborele intern ReiserFS și o traduce într-o listă ascii scrisă în fișierul specificat.

-1 număr-bloc
    afișează blocul specificat din sistemul de fișiere.

-p  extrage metadatele sistemului de fișiere cu «debugreiserfs -p /dev/xxx | gzip -c > xxx.gz». Niciuna dintre datele dvs. nu este împachetată, cu excepția cazului în care se prezintă o corupție a sistemului de fișiere, când întregul bloc care are această corupție este împachetat. Ne trimiteți rezultatul, iar noi îl folosim pentru a crea un sistem de fișiere cu aceeași structură ca a dumneavoastră folosind debugreiserfs -u. Atunci când fișierul de date nu este prea mare, acest lucru ne permite, de obicei, să reproducem și să depanăm rapid problema.

-u  construiește imaginea sistemului de fișiere ReiserFS cu gunzip -c xxx.gz | debugreiserfs -u /dev/image din metadatele împachetate anterior cu debugreiserfs -p. Imaginea rezultată nu este aceeași cu sistemul de fișiere original, deoarece în mare parte doar metadatele au fost împachetate cu debugreiserfs -p, dar structura sistemului de fișiere este complet recreată.

-S  Atunci când nu se specifică „-S”, „-p” se ocupă numai de blocurile marcate utilizate în harta de biți a sistemului de fișiere. Cu această opțiune setată debugreiserfs va lucra cu întregul dispozitiv.

-q  Atunci când se utilizează „-p”, nu se afișează viteza de progres.

AUTOR
Această versiune de debugreiserfs a fost scrisă de Vitaly Fertman <vitaly@namesys.com>.

ERORI
Raportați erorile către dezvoltatorii ReiserFS <reiserfs-devel@vger.kernel.org>, furnizând cât mai multe informații posibile - componentele calculatorului, nucleul, corecțiile, configurările, toate mesajele imprimate; verificați fișierul syslog pentru orice informații conexe.

CONSULTAȚI ȘI
reiserfsck(8), mkreiserfs(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.